API/Models/ErrorViewModel.cs
using System;

namespace Test.Models
{
    public class ErrorViewModel
    {
        public string RequestId { get; set; }

        public bool ShowRequestId => !string.IsNullOrEmpty(RequestId);
    }
}

API/Controllers/HomeController.cs
using System;
using System.Collections.Generic;
using System.Diagnostics;
using System.Linq;
using System.Threading.Tasks;
using Microsoft.AspNetCore.Mvc;
using Microsoft.Extensions.Logging;
using Test.Models;

namespace Test.Controllers
{
    public class HomeController : Controller
    {
        private readonly ILogger<HomeController> _logger;

        public HomeController(ILogger<HomeController> logger)
        {
            _logger = logger;
        }
        
        public IActionResult Index()
        {
            return View();
        }

        public IActionResult Privacy()
        {
            return View();
        }

        [ResponseCache(Duration = 0, Location = ResponseCacheLocation.None, NoStore = true)]
        public IActionResult Error()
        {
            return View(new ErrorViewModel { RequestId = Activity.Current?.Id ?? HttpContext.TraceIdentifier });
        }
    }
}

API/Controllers/PersonController.cs
using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using Microsoft.AspNetCore.Mvc;
using Test.Generic;
using Test.Storage;

namespace Test.Controllers
{
    public class PersonController : ViewBaseController<Person>
    {       
        
    }
}

API/Controllers/PostController.cs
using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using Microsoft.AspNetCore.Mvc;
using Test.Generic;
using Test.Storage;

namespace Test.Controllers
{
    public class PostController : ViewBaseController<Post>
    {
       
    }
}

API/Controllers/Rest/PersonController.cs
using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using Microsoft.AspNetCore.Http;
using Microsoft.AspNetCore.Mvc;
using Test.Generic;
using Test.Storage;

namespace Test.Controllers.Rest
{
    [Route("api/[controller]")]
    [ApiController]
    public class PersonController : BaseController<Person>
    {
        public PersonController(DataContext context) : base(context) { }
    }
}

API/Controllers/Rest/PostController.cs
using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using Microsoft.AspNetCore.Http;
using Microsoft.AspNetCore.Mvc;
using Test.Generic;
using Test.Storage;

namespace Test.Controllers.Rest
{
    [Route("api/[controller]")]
    [ApiController]
    public class PostController : BaseController<Post>
    {
        public PostController(DataContext context) : base(context) { }
    }
}

API/Controllers/ValuesController.cs
using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using Microsoft.AspNetCore.Http;
using Microsoft.AspNetCore.Mvc;

namespace Test.Controllers
{
    [Route("api/[controller]")]
    [ApiController]
    public class ValuesController : ControllerBase
    {
    }
}

API/Views/Home/Index.cshtml
@{
    ViewData["Title"] = "Home Page";
}

<ul>
    <li>Question 1 using internal API
    
        <ul>
            <li><a href="@Url.Action("Index","Person")"> Person Entity</a></li>
            <li><a href="@Url.Action("Index","Post")"> Post Entity</a></li>
        </ul>
    
    </li>
</ul>

API/Views/Shared/GenericIndex.cshtml
<div id="dd">
    @{

        var props = Model.GetType().GetProperties();

        foreach (System.Reflection.PropertyInfo prop in props)
        {

            Test.Filters.ViewFilter viewFilter = prop.GetCustomAttributes(false).FirstOrDefault(x => x.GetType().Equals(typeof(Test.Filters.ViewFilter))) as Test.Filters.ViewFilter;
            if (viewFilter != null && viewFilter.ShowInView)
            {

                var displayInfo = prop.GetCustomAttributes(false).FirstOrDefault(x => x.GetType().Equals(typeof(System.ComponentModel.DataAnnotations.DisplayAttribute))) as System.ComponentModel.DataAnnotations.DisplayAttribute;
                <label>@displayInfo.Name </label><br />



                switch (prop.PropertyType.Name)
                {
                    case "String":
                        <input type="text" name="@prop.Name" /><br />
                        break;
                    case "DateTime":
                        <input type="date" name="@prop.Name" />
                        break;
                }


            }



        }


    }
</div><br />
<button id="@("Save"+Model.GetType().Name)">Save </button>
<hr />
<ul id="list">
</ul>

<hr />
<ul id="details">

</ul>

<script>

    $(document).ready(function () {
        $('#@("Save"+Model.GetType().Name)').click(function () {
            debugger
            var data = {};
            $('#dd').find('input').each((n, e) => {
                data[e.name] = e.value;
            });
            $.ajax({
                type: "POST",
                url: "@("api/"+Model.GetType().Name)",
                data: JSON.stringify(data),
                contentType: "application/json; charset=utf-8",
                dataType: "json",
                success: function (data) {
                    if (data){
                    alert('saved');
                }
                },
                failure: function (errMsg) {
                    alert(errMsg);
                }
            });
        });
    loadAll();
    });
    function showDetails(id) {
         $.ajax({
                type: "GET",
                url: "@("api/"+Model.GetType().Name)/"+id,
                dataType: "json",
             success: function (data) {
                 $('#details').empty();
                 Object.keys(data).forEach(x => {

                     $('#details').append('<li>' + x + ' : ' + data[x] + '</li>');
                 });
             },
                failure: function (errMsg) {
                    alert(errMsg);
                }
            });
    }
    function loadAll() {
         $.ajax({
                type: "GET",
                url: "@("api/"+Model.GetType().Name)",
                dataType: "json",
             success: function (data) {
                 $('#list').empty();
                 data.forEach(x=> {
                     @if (Model.GetType() == typeof(Test.Storage.Person))
                     {
                        @Html.Raw("$('#list').append('<li onclick=\"showDetails('+x.id+')\">'+x.firstName+'</li>');");
                     }
                     else
                     {
                        @Html.Raw("$('#list').append('<li onclick=\"showDetails('+x.id+')\">'+x.title+'</li>');");
                     }

                 });
             },
                failure: function (errMsg) {
                    alert(errMsg);
                }
            });

    }
</script>

API/Views/Shared/_Layout.cshtml
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>@ViewData["Title"] - Test</title>
    <link rel="stylesheet" href="~/lib/bootstrap/dist/css/bootstrap.min.css" />
    <link rel="stylesheet" href="~/css/site.css" />
    <script src="~/lib/jquery/dist/jquery.min.js"></script>

</head>
<body>
    <header>
        <nav class="navbar navbar-expand-sm navbar-toggleable-sm navbar-light bg-white border-bottom box-shadow mb-3">
            <div class="container">
                <a class="navbar-brand" asp-area="" asp-controller="Home" asp-action="Index">Test</a>
                <button class="navbar-toggler" type="button" data-toggle="collapse" data-target=".navbar-collapse" aria-controls="navbarSupportedContent"
                        aria-expanded="false" aria-label="Toggle navigation">
                    <span class="navbar-toggler-icon"></span>
                </button>
                <div class="navbar-collapse collapse d-sm-inline-flex flex-sm-row-reverse">
                    <ul class="navbar-nav flex-grow-1">
                        <li class="nav-item">
                            <a class="nav-link text-dark" asp-area="" asp-controller="Home" asp-action="Index">Home</a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link text-dark" asp-area="" asp-controller="Home" asp-action="Privacy">Privacy</a>
                        </li>
                    </ul>
                </div>
            </div>
        </nav>
    </header>
    <div class="container">
        <main role="main" class="pb-3">
            @RenderBody()
        </main>
    </div>

    <footer class="border-top footer text-muted">
        <div class="container">
            &copy; 2020 - Test - <a asp-area="" asp-controller="Home" asp-action="Privacy">Privacy</a>
        </div>
    </footer>
    <script src="~/lib/bootstrap/dist/js/bootstrap.bundle.min.js"></script>
    <script src="~/js/site.js" asp-append-version="true"></script>
    @RenderSection("Scripts", required: false)
</body>
</html>